commit:     8b243a91bfa00b49155e5628af1fa1ffb5874e8d
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  7 12:05:54 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Nov  7 12:06:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b243a91

dev-ruby/mysql2: add snapshot

Upstream has a lot of fixes for ruby 2.7 and newer that should help with
various crashes and incompatibilities. With no release forthcoming we'll
add this snapshot to make these fixes available.

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/mysql2/Manifest                     |  1 +
 dev-ruby/mysql2/mysql2-0.5.3.20210920.ebuild | 52 ++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-ruby/mysql2/Manifest b/dev-ruby/mysql2/Manifest
index 879c4a4d024..38b38a14806 100644
--- a/dev-ruby/mysql2/Manifest
+++ b/dev-ruby/mysql2/Manifest
@@ -1 +1,2 @@
+DIST mysql2-0.5.3.20210920.tar.gz 114492 BLAKE2B 
589ee721838f956f90474e859d0dd2e8cf11c8622a8f89410929f9c52c82c240a5a7eea7e6b132e0212dd6e9cd13c5ca950e6cacac368d158aeca9feacc98a7c
 SHA512 
3bec768b69ecc3b54db84048b633602e80f09c4b4631daf1fbd81810c33038410f6112b467ab7ac86051ba91e4660abb3546e55cb52d26b96531f3305b43871f
 DIST mysql2-0.5.3.gem 74240 BLAKE2B 
9de25a34173ab952f6842f01d9207405c8bc6ed5937fdf66de4062129fc20f425635956f6d12f78466c8c341c49916f7d00df845f84a4101d34a98b1585b9919
 SHA512 
59a0ee00261b09e8bbfc586a6f75af840a465a94fd8c9463a3d7767e5ea6b7e64507c9571fb90c6d0cdde3cfff560c97fbf3f3c32b3916aca852ef5c41e1bce9

diff --git a/dev-ruby/mysql2/mysql2-0.5.3.20210920.ebuild 
b/dev-ruby/mysql2/mysql2-0.5.3.20210920.ebuild
new file mode 100644
index 00000000000..f5fb4b506bc
--- /dev/null
+++ b/dev-ruby/mysql2/mysql2-0.5.3.20210920.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+# Tests require a live MySQL database but should all pass.
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/mysql2/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/mysql2
+
+RUBY_FAKEGEM_GEMSPEC="mysql2.gemspec"
+
+COMMIT=6652da20010ddfbbe6bceb8e41666d05e512346c
+
+inherit ruby-fakegem
+
+DESCRIPTION="A modern, simple and very fast Mysql library for Ruby - binding 
to libmysql"
+HOMEPAGE="https://github.com/brianmario/mysql2";
+SRC_URI="https://github.com/brianmario/mysql2/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+RUBY_S="mysql2-${COMMIT}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="mysql mariadb"
+REQUIRED_USE="^^ ( mariadb mysql )"
+
+MDEPEND="mysql? ( dev-db/mysql-connector-c:= ) mariadb? ( 
dev-db/mariadb-connector-c:= )"
+DEPEND="${DEPEND} ${MDEPEND}"
+RDEPEND="${RDEPEND} ${MDEPEND}"
+
+all_ruby_prepare() {
+       sed -i -e '/s.version/ s/Mysql2::VERSION/"'${PV}'"/' 
${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_configure() {
+       local config
+       if use mysql ; then
+               config="${EPREFIX}/usr/bin/mysql_config"
+       fi
+       if use mariadb ; then
+               config="${EPREFIX}/usr/bin/mariadb_config"
+       fi
+
+       ${RUBY} -Cext/mysql2 extconf.rb --with-mysql-config="${config}" || die
+}

Reply via email to